import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
// import locale from 'element-ui/lib/locale/lang/en' // lang i18n

import '@/styles/index.scss' // global css

import App from './App'
import store from './store'
import router from './router'

import '@/icons' // icon
import '@/permission' // permission control

import api from '@/api/index' // all api
Vue.$api = Vue.prototype.$api = api
Vue.$dictData = Vue.prototype.$dictData = window.sessionStorage.getItem('fp_dictData') ? JSON.parse(window.sessionStorage.getItem('fp_dictData')) : {}
import msg from '@/utils/msg'
Vue.use(msg)
import mixins from '_m'
window.mixins = [mixins]
import { noEmpty } from '@/utils'
Vue.noEmpty = Vue.prototype.noEmpty = noEmpty
import TableList from '@/components/Common/TableList'
import BaseForm from '@/components/Common/BaseForm'
import HeaderCollapse from '@/components/Common/HeaderCollapse'
Vue.component(TableList.name, TableList)
Vue.component(BaseForm.name, BaseForm)
Vue.component(HeaderCollapse.name, HeaderCollapse)
import storage from '@/utils/storage'
Vue.use(storage)

import VueAMap from 'vue-amap' // 高德
Vue.use(VueAMap)
VueAMap.initAMapApiLoader({
  key: '8343df94cab859af3bd36362029a4e19',
  plugin: ['AMap.Scale', 'AMap.OverView', 'AMap.ToolBar', 'AMap.MapType', 'AMap.PlaceSearch', 'AMap.Geolocation', 'AMap.Geocoder'],
  v: '1.4.15',
  uiVersion: '1.0' })

/**
 * If you don't want to use mock-server
 * you want to use MockJs for mock api
 * you can execute: mockXHR()
 *
 * Currently MockJs will be used in the production environment,
 * please remove it before going online ! ! !
 */
if (process.env.NODE_ENV === 'production') {
  const { mockXHR } = require('../mock')
  mockXHR()
}

// set ElementUI lang to EN
// Vue.use(ElementUI, { locale })
// 如果想要中文版 element-ui，按如下方式声明
Vue.use(ElementUI)

Vue.config.productionTip = false

new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
